package com.mortals.xhx.module.idCard.model;

import lombok.Data;


@Data
public class IdCardCons {
    /**
     * 设置不解码身份证头像照片，返回的photobase64将为空（目前仅支持amd64平台解码，其他平台暂不支持）
     */
    private String NoPhoto;
    /**
     * 同一张身份证只读第一次。
     */
    private String readOnce;
    /**
     * 读卡超时单位秒 最长60秒
     */
    private String waitTime;

    /**
     * 以JSONP方式返回数据
     */
    private String callback;


}
