package com.mortals.xhx.module.idCard.service.impl;

import com.mortals.xhx.busiz.rsp.IdCardResp;
import com.mortals.xhx.module.idCard.model.IdCardCons;
import com.mortals.xhx.module.idCard.service.IdCardService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Service;

/**
 * 德卡身份证实现类
 *
 * @author:
 * @date: 2022/12/26 14:09
 */
@Service
@Slf4j
@ConditionalOnProperty(prefix = "config", name = "idcard", havingValue = "dk")
public class DKIdCardServiceImpl implements IdCardService {
    @Value("${config.xzxUrl:http://localhost:8989/api/ReadMsg}")
    private String url;

    @Override
    public IdCardResp readIdCardMessage(IdCardCons cons) {
        //todo 德卡身份证识别待实现
        IdCardResp idCardResp = new IdCardResp();
        return idCardResp;
    }
    
}
